package com.xhpc.evcs.cwj.dto;

import com.fasterxml.jackson.annotation.*;
import com.xhpc.evcs.cdjgpc.dto.CDConnectorStatusInfo;

import java.util.HashMap;
import java.util.Map;

/**
 * @author yuyang
 * @Date 2025-07-16 11:18
 */
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY, getterVisibility = JsonAutoDetect.Visibility.NONE,
        setterVisibility = JsonAutoDetect.Visibility.NONE, creatorVisibility = JsonAutoDetect.Visibility.NONE)
public class CWJConnectorStatusInfoReq {


    @JsonProperty("ConnectorStatusInfo")
    private CWJConnectorStatusInfo connectorStatusInfo;

    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("ConnectorStatusInfo")
    public CWJConnectorStatusInfo getConnectorStatusInfo() {

        return connectorStatusInfo;
    }

    @JsonProperty("ConnectorStatusInfo")
    public void setConnectorStatusInfo(CWJConnectorStatusInfo connectorStatusInfo) {

        this.connectorStatusInfo = connectorStatusInfo;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {

        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {

        this.additionalProperties.put(name, value);
    }
}
